Subject: Re: [MOBILE-IP] Multiple IP addresses per NAI

From: Mohamed Khalil <[email-masked]>
Date: Wed, 5 Jan 2000 08:56:49 -0600

Hi Pete,

> -----Original Message-----
> From: Pete McCann [SMTP:[email-masked]]
> Sent: Tuesday, January 04, 2000 5:22 PM
> To:   Khalil, Mohamed [RICH2:IP15:EXCH]
> Cc:   [email-masked]
> Subject:      Re: [MOBILE-IP] Multiple IP addresses per NAI
>
>
> Mohamed Khalil (MK) writes:
>
> MK>  The device id is actually an id which is offered by the ISP when
> MK> the user obtained the service. It could be something like
> MK> mci-phone-214-78-9898 or it could be an integer #. The User NAI
> MK> and the device id will be used by the mobile agent to uniquely
> MK> identify the device. The device could support multiple
> MK> technologies but it is still have one device id. If the user's
> MK> device needs to re-register because it has changed technology, it
> MK> should use the same device id in the registration request. if the
> MK> device has already assigned an IP by the home subnetwork, it will
> MK> not be reassigned another IP because it has changed technology. I
> MK> did not understand how this proposal will preclude handoff from
> MK> one technology to another technology.
>
> Hi, Mohamed,
>
> I must have misunderstood your intention, then.  Your extension had
> these two fields:
>
>     Sub-Type             1   ETHERNET_DEV.
>                          2   TDMA_DEV.
>                          3   CDMA_DEV.
>
>     device parameters  this section defines the device parameters
>                        which is requested by the mobile node. this
>                        section MAY be modified by the home agent
>                        or foreign agent to match the current operating
>                        capability of the network and the services
>                        which is allowed for the user. The structure
>                        of this section depends on the type of the device.
>
>    device id  It is the device identification.
>               example MCI-LAPTOP-193.193.193.20
>
>
> Since the Sub-Type gave the specific link-layer technology, I was
> assuming that device parameters contained a link-layer address and
> that this was used to distinguish sessions.  I can see now that you
> didn't actually say that.
>
> Still, this extension seems overly complicated to me.  For one thing,
> the HA needs to know the semantics of each Sub-Type to properly find
> the device id (since device parameters is variable length).  I just
> don't think it's necessary to give any information about the
> link-layer interface to solve the multiple-sessions-per-NAI problem.
> All we need is one integer called a "session id".  If you want to send
> link-layer interface information, that could be accomplished with a
> separate extension (note that there may be more than one session id
> per interface!  That's another reason not to couple these two things
> together in one extension).
        [MK>]  I think we are in agreement that the device id is something
which should identify uniquely the device. I think to make the definition
for device id more general we should allow the device id to be an integer or
a string like the NAI. This device id could be for example the  phone number
for the device 972-678-9929. This could be represented as an integer or
could be represented as a string which encode some more information about
the device such as mci-cdma-972-678-9929.

        [MK>] Regarding the device parameter field I had in mind that this
field will contain some parameters which are necessary to establish data
channels between the mobile device (which might support multiple
technologies) and the foreign subnetworks. I assumed that could be used in
the future when we send the control signals such as registration request
over a separate control channels and then we establish a data channel
according to the parameters defined in the device parameter section. I think
I was too futuristic when I have taken this assumption and sorry for the
confusion this assumption caused.
> -Pete